package com.oguerreiro.resilient.service.mapper;

import static com.oguerreiro.resilient.domain.VariableCategoryAsserts.*;
import static com.oguerreiro.resilient.domain.VariableCategoryTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class VariableCategoryMapperTest {

    private VariableCategoryMapper variableCategoryMapper;

    @BeforeEach
    void setUp() {
        variableCategoryMapper = new VariableCategoryMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getVariableCategorySample1();
        var actual = variableCategoryMapper.toEntity(variableCategoryMapper.toDto(expected));
        assertVariableCategoryAllPropertiesEquals(expected, actual);
    }
}
